public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/s6-rc/
Date: Sat, 22 Jun 2019 07:52:09 +0000 (UTC)	[thread overview]
Message-ID: <1561188740.14d93ff778b4038b4d5e32e640d5dac10b7ee590.mgorny@gentoo> (raw)

commit:     14d93ff778b4038b4d5e32e640d5dac10b7ee590
Author:     Samuel Holland <samuel <AT> sholland <DOT> org>
AuthorDate: Sun May 19 23:31:32 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 22 07:32:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14d93ff7

sys-apps/s6-rc: Version bump to 0.5.0.0

Signed-off-by: Samuel Holland <samuel <AT> sholland.org>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-apps/s6-rc/Manifest             |  1 +
 sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild | 53 +++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sys-apps/s6-rc/Manifest b/sys-apps/s6-rc/Manifest
index 3534d166438..95c1738fa0f 100644
--- a/sys-apps/s6-rc/Manifest
+++ b/sys-apps/s6-rc/Manifest
@@ -2,3 +2,4 @@ DIST s6-rc-0.3.0.0.tar.gz 93183 BLAKE2B 0096fe268393192867b1e2d45f9a46c0a7618478
 DIST s6-rc-0.4.0.0.tar.gz 96417 BLAKE2B fea4cfbadd82e8e775e4ba2cc1168fc3932f2f23335efa73f254fb17176954cf4d0c10e16bcecf4d62e9ebe05cb213e370042f86e40cb5a4a5583768fe313a83 SHA512 81ed2b09ab980e9d531e6b919f25fe9819f6144e7e639d488362fd872aead73244a03d83da9abd4cb64c10226c5e6fd163c517dcd59566b32a26841b4814ac21
 DIST s6-rc-0.4.0.1.tar.gz 96491 BLAKE2B fe6aa6e2ed868cca6d76928571d561784012ded476825501bb137798c644495a06c2b08c752198d6e985f48fe34404868fa24d49785ff42610e1dd7314ee8088 SHA512 f4e4105dd51eb9dfa4ba45d3f85970d763c70eb5e276de818d9b2c75db9153d3000dd7579ca8e7c4bf814b05bcbcde1dd9b363c57c6507f1cc5af7898049fba7
 DIST s6-rc-0.4.1.0.tar.gz 96840 BLAKE2B 07a05ab7f69a821c677d569051dbe4c22c4e774540866fee6acb91853195a7138965869698cf33eb8d02d183f55e8945beacd567fba742a0bf092cb6e65a7c89 SHA512 12bb1136bc1222e09f115118b631dd5ce7d8155151b1e57427ae932db7654484543dbf5b12f442708ca9defe51d44bba9785caf0a9857847a1f3acb375301e92
+DIST s6-rc-0.5.0.0.tar.gz 97247 BLAKE2B 5b38029c78a6910278819c6616cebfa1dfc4f11e8ad4e9b376e576a30ccdf881520212ef0c2c9a4ee4218c0b9a9751fc6855701ba0126bbf682c054ff2a7cfb7 SHA512 3fa084dd4eb489a8279135760d8051b74176994161cd989f038bef59b8abd6b8bc8c48a6ad2d2e7860627ee749d4abf6cda98857c7052f1097e9591a97355a18

diff --git a/sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild b/sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild
new file mode 100644
index 00000000000..6830fe022a5
--- /dev/null
+++ b/sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Service manager for the s6 supervision suite"
+HOMEPAGE="https://www.skarnet.org/software/s6-rc/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="static static-libs"
+
+REQUIRED_USE="static? ( static-libs )"
+
+RDEPEND=">=dev-lang/execline-2.5.1.0:=[static-libs?]
+	>=dev-libs/skalibs-2.8.0.0:=[static-libs?]
+	>=sys-apps/s6-2.8.0.0:=[static-libs?]
+"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+	default
+
+	# Avoid QA warning for LDFLAGS addition; avoid overriding -fstack-protector
+	sed -i -e 's/.*-Wl,--hash-style=both$/:/' -e '/-fno-stack-protector$/d' \
+		configure || die
+}
+
+src_configure() {
+	econf \
+		--bindir=/bin \
+		--dynlibdir=/usr/$(get_libdir) \
+		--libdir=/usr/$(get_libdir)/${PN} \
+		--with-dynlib=/usr/$(get_libdir) \
+		--with-lib=/usr/$(get_libdir)/execline \
+		--with-lib=/usr/$(get_libdir)/s6 \
+		--with-lib=/usr/$(get_libdir)/skalibs \
+		--with-sysdeps=/usr/$(get_libdir)/skalibs \
+		--enable-shared \
+		$(use_enable static allstatic) \
+		$(use_enable static static-libc) \
+		$(use_enable static-libs static)
+}
+
+pkg_postinst() {
+	ewarn "Databases from ${PN}-0.3.0.0 or earlier must be manually upgraded!"
+	ewarn "See the upgrade notes at ${EROOT}/usr/share/doc/${PF}/html/upgrade.html"
+	ewarn "and the documentation for the s6-rc-format-upgrade utility."
+}


             reply	other threads:[~2019-06-22  7:52 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-22  7:52 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 10:19 [gentoo-commits] repo/gentoo:master commit in: sys-apps/s6-rc/ Petr Vaněk
2024-07-15 10:54 Sam James
2024-07-15  7:10 Joonas Niilola
2024-07-15  7:05 Joonas Niilola
2024-06-14 13:31 Petr Vaněk
2024-01-17 10:39 Petr Vaněk
2024-01-17  2:46 Ionen Wolkens
2023-12-21  6:12 Joonas Niilola
2023-12-21  6:12 Joonas Niilola
2023-12-05 15:08 Petr Vaněk
2023-11-17 11:09 Sam James
2023-11-17 11:09 Sam James
2023-05-20 12:32 Joonas Niilola
2023-05-06  9:49 Arthur Zamarin
2023-04-15 12:23 Joonas Niilola
2023-03-30  5:22 Joonas Niilola
2023-03-28 14:59 Sam James
2023-03-25  5:13 Arthur Zamarin
2023-02-24 15:09 Joonas Niilola
2023-02-21  8:01 Sam James
2023-02-21  8:01 Sam James
2023-01-17  1:53 Sam James
2023-01-17  1:53 Sam James
2022-08-16 15:26 Joonas Niilola
2022-08-02  5:40 Joonas Niilola
2022-08-02  5:40 Joonas Niilola
2022-07-09  7:49 Sam James
2022-06-25  5:36 Sam James
2022-06-25  5:36 Sam James
2022-06-24  7:11 Agostino Sarubbo
2022-06-24  7:07 Agostino Sarubbo
2022-05-24  7:01 Joonas Niilola
2022-05-24  7:01 Joonas Niilola
2022-04-24  9:49 Joonas Niilola
2022-03-10  9:48 Jakov Smolić
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2020-10-11 17:49 William Hubbs
2020-07-15 12:30 Sam James
2020-05-16  7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2018-10-09  0:12 Georgy Yakovlev
2018-10-02 22:08 Michał Górny
2018-05-31 22:48 William Hubbs
2018-03-29 13:25 William Hubbs
2018-01-10 21:35 William Hubbs
2017-11-15 20:15 William Hubbs
2017-10-03 18:47 William Hubbs
2017-05-21 21:29 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs
2016-06-29 17:45 William Hubbs
2016-03-19 23:12 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1561188740.14d93ff778b4038b4d5e32e640d5dac10b7ee590.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox